using System.Collections.ObjectModel;

namespace Drop_ForbidAllow
{
	public class Measure
	{
		public Measure()
		{
			this.Caption = null;
			this.IsDraggable = true;
			this.SubMeasures = new ObservableCollection<Measure>();
		}

		public string Caption
		{
			get;
			set;
		}

		public bool IsDraggable
		{
			get;
			set;
		}

		public override string ToString()
		{
			return Caption;
		}

		public ObservableCollection<Measure> SubMeasures
		{
			get;
			set;
		}
	}
}
